Get a recipient's signing URL
curl --request POST \
--url https://my.flowsign.app/api/v1/packages/{packageId}/signing-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipientId": "cmg4v8q2k0002s7xh6k4m1p9c",
"recipientEmail": "jane.ahu@example.co.nz"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipientId: 'cmg4v8q2k0002s7xh6k4m1p9c',
recipientEmail: 'jane.ahu@example.co.nz'
})
};
fetch('https://my.flowsign.app/api/v1/packages/{packageId}/signing-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipientId: 'cmg4v8q2k0002s7xh6k4m1p9c',
recipientEmail: 'jane.ahu@example.co.nz'
})
};
fetch('https://my.flowsign.app/api/v1/packages/{packageId}/signing-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/packages/{packageId}/signing-url';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipientId: 'cmg4v8q2k0002s7xh6k4m1p9c',
recipientEmail: 'jane.ahu@example.co.nz'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/packages/{packageId}/signing-url"
payload = {
"recipientId": "cmg4v8q2k0002s7xh6k4m1p9c",
"recipientEmail": "jane.ahu@example.co.nz"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/packages/{packageId}/signing-url");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"recipientId\": \"cmg4v8q2k0002s7xh6k4m1p9c\",\n \"recipientEmail\": \"jane.ahu@example.co.nz\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/packages/{packageId}/signing-url");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"recipientId\": \"cmg4v8q2k0002s7xh6k4m1p9c\",\n \"recipientEmail\": \"jane.ahu@example.co.nz\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/packages/{packageId}/signing-url' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"recipientId": "cmg4v8q2k0002s7xh6k4m1p9c",
"recipientEmail": "jane.ahu@example.co.nz"
}'{
"data": {
"signingUrl": "https://my.flowsign.app/sign/Q3h7vK2mN9pL4sT8wYbC1dF6gH0jR5uXeZaI2oPqMlk",
"embeddedUrl": "https://my.flowsign.app/sign/Q3h7vK2mN9pL4sT8wYbC1dF6gH0jR5uXeZaI2oPqMlk?embedded=true",
"recipientId": "cmg4v8q2k0002s7xh6k4m1p9c",
"sessionId": "cmg1p4k2a000fv9x0s7e2n4q6",
"recipientName": "Jane Ahu",
"recipientEmail": "jane.ahu@example.co.nz",
"status": "ACTIVE"
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Packages
Get a recipient's signing URL
Returns the signing URL for a recipient’s active session, for signing inside your own product. Requires canSendPackages.
POST
https://my.flowsign.app
/
api
/
v1
/
packages
/
{packageId}
/
signing-url
Get a recipient's signing URL
curl --request POST \
--url https://my.flowsign.app/api/v1/packages/{packageId}/signing-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipientId": "cmg4v8q2k0002s7xh6k4m1p9c",
"recipientEmail": "jane.ahu@example.co.nz"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipientId: 'cmg4v8q2k0002s7xh6k4m1p9c',
recipientEmail: 'jane.ahu@example.co.nz'
})
};
fetch('https://my.flowsign.app/api/v1/packages/{packageId}/signing-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipientId: 'cmg4v8q2k0002s7xh6k4m1p9c',
recipientEmail: 'jane.ahu@example.co.nz'
})
};
fetch('https://my.flowsign.app/api/v1/packages/{packageId}/signing-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/packages/{packageId}/signing-url';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipientId: 'cmg4v8q2k0002s7xh6k4m1p9c',
recipientEmail: 'jane.ahu@example.co.nz'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/packages/{packageId}/signing-url"
payload = {
"recipientId": "cmg4v8q2k0002s7xh6k4m1p9c",
"recipientEmail": "jane.ahu@example.co.nz"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/packages/{packageId}/signing-url");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"recipientId\": \"cmg4v8q2k0002s7xh6k4m1p9c\",\n \"recipientEmail\": \"jane.ahu@example.co.nz\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/packages/{packageId}/signing-url");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"recipientId\": \"cmg4v8q2k0002s7xh6k4m1p9c\",\n \"recipientEmail\": \"jane.ahu@example.co.nz\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/packages/{packageId}/signing-url' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"recipientId": "cmg4v8q2k0002s7xh6k4m1p9c",
"recipientEmail": "jane.ahu@example.co.nz"
}'{
"data": {
"signingUrl": "https://my.flowsign.app/sign/Q3h7vK2mN9pL4sT8wYbC1dF6gH0jR5uXeZaI2oPqMlk",
"embeddedUrl": "https://my.flowsign.app/sign/Q3h7vK2mN9pL4sT8wYbC1dF6gH0jR5uXeZaI2oPqMlk?embedded=true",
"recipientId": "cmg4v8q2k0002s7xh6k4m1p9c",
"sessionId": "cmg1p4k2a000fv9x0s7e2n4q6",
"recipientName": "Jane Ahu",
"recipientEmail": "jane.ahu@example.co.nz",
"status": "ACTIVE"
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace the key was issued for, as returned by GET /api/v1/workspaces. Optional: omitting it acts in the key's workspace, and any other id is rejected with 401.
Path Parameters
Body
application/json
The id of one of the package's recipients, as listed on GET /api/v1/packages/:packageId. Give this or recipientEmail, not both.
Minimum string length:
1Example:
"cmg4v8q2k0002s7xh6k4m1p9c"
The email address of one of the package's recipients, matched ignoring case. An address two recipients share is a 409, so use recipientId then.
Example:
"jane.ahu@example.co.nz"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?

